<c:set var="cardChargeDetails" value="${bookingInfo.cardChargeDetails}" />
<c:set var="cardChargeArray" value="${fn:split(cardChargeDetails,',')}" />
<c:set var="cardCharge" value="${cardChargeArray[0]}" />
<c:set var="maxCardCharge" value="${cardChargeArray[2]}" />
<c:set var="maxCap" value="${maxCardCharge}" />
<c:set var="full_pay_mode" value="true"/>
<%
String cardchargetext = ConfReader.getConfEntry("cardChargeText" , "");
pageContext.setAttribute("cardchargetext", cardchargetext, PageContext.REQUEST_SCOPE);
String giftCardText = ConfReader.getConfEntry("giftCardText" , "");
pageContext.setAttribute("giftCardText", giftCardText,PageContext.REQUEST_SCOPE);
%>
<c:choose>
   <c:when test="${bookingComponent.nonPaymentData['TUIHeaderSwitch'] eq 'ON'}">
      <c:set value="TUI" var="creditBrandText" />
   </c:when>
   <c:otherwise>
      <c:set value="Thomson" var="creditBrandText" />
   </c:otherwise>
</c:choose>
<fmt:parseNumber var="parsemaxCap" type="number" value="${maxCap}" />
<c:set var="CONST_FULL_COST">fullCost</c:set>
<c:set var="CONST_LOW_DEPOSIT"></c:set>
<c:set var="DDsetup_exists" value="${bookingComponent.ddVariant.code == 'V1' || bookingComponent.ddVariant.code == 'V2'}" />
<c:choose>
	<c:when test="${bookingInfo.bookingComponent.paypalComponent eq null}">
		<c:set var="enableFlag" value="false" scope="request" />
		<c:set var="paypalActiveFlag" value="false" scope="request" />
    </c:when>
    <c:when test="${bookingInfo.bookingComponent.paypalComponent.paypalOptionActive eq null || empty bookingInfo.bookingComponent.paypalComponent.paypalOptionActive || bookingInfo.bookingComponent.paypalComponent.enablePaypal eq null || empty bookingInfo.bookingComponent.paypalComponent.enablePaypal}">
        <c:set var="enableFlag" value="false" scope="request" />
        <c:set var="paypalActiveFlag" value="false" scope="request" />
    </c:when>
    <c:otherwise>
	<c:set var="enableFlag" value="${bookingInfo.bookingComponent.paypalComponent.enablePaypal}" scope="request" />
	<c:set var="paypalActiveFlag" value="${bookingInfo.bookingComponent.paypalComponent.paypalOptionActive}" scope="request" />
    </c:otherwise>
</c:choose>
<c:choose>
	<c:when test="${bookingInfo.bookingComponent.nonPaymentData['payPalDefaultSelection'] eq null || empty bookingInfo.bookingComponent.nonPaymentData['payPalDefaultSelection']}">
		<c:set var="paypaldefault" value="false" scope="request" />
	</c:when>
	<c:otherwise>
		<c:set var="paypaldefault" value="${bookingInfo.bookingComponent.nonPaymentData['payPalDefaultSelection']}" scope="request" />
	</c:otherwise>
</c:choose>

<fmt:formatNumber var="fullAmount"
    value="${bookingComponent.totalAmount.amount-bookingInfo.calculatedDiscount.amount}"
    type="number" maxFractionDigits="2" minFractionDigits="2"
    pattern="#####.##" />
								   <div class="component pay-modes">
								   <input type="hidden" name="payment_0_type" id="payment_0_type">
			<div class="section-heading">
			    <h2 class="icon-v2 icon-TUI_Padlock dark-blue">
					
							<span class="tui-font marg-left-15">Payment</span>
					
					
					

				</h2>
										</div>

	<script type="text/javascript">
	var mobileDevice=navigator.userAgent.includes('Linux');
	var iphoneDevice=navigator.userAgent.includes('iPhone');
        var paypalErrorFlag = ${paypalActiveFlag != '' ? paypalActiveFlag:false};
		jQuery(document).ready(function() {
			if(mobileDevice == true || iphoneDevice == true || ${paypaldefault} == true)
			{
			var mobcardSelection=document.getElementById("cardpayment");
			var mobSelection=document.getElementById("paypal");
			mobcardSelection.removeClassName('active');
			mobSelection.addClassName('active');
			displayCardChargesPaypal("paypalType");
				if(paypalErrorFlag == false){
					var mobcardSelection=document.getElementById("cardpayment");
					var mobSelection=document.getElementById("paypal");
					var paypalActive=document.getElementById("paypalType");
					mobcardSelection.addClassName('active');
					mobSelection.removeClassName('active');
					displayCardChargesPaypal("cardpaymentType");
					paypalActive.addClassName('pointer-none');
				}
			}
		});
	</script>


										<input type="hidden" id="cardtype" name="cardtype" value="Debit">
			<c:if test="${applyCreditCardSurcharge eq 'true'}">
				<div class="section-heading">
					<h2 class="icon-v2 icon-TUI_CreditCard dark-blue">
						<span class="tui-font marg-left-20">card details</span>
					</h2>
				</div>
			</c:if>
			<c:if test="${applyCreditCardSurcharge eq 'false'}">
				<c:choose>
					<c:when test="${enableFlag}">
					<link rel="stylesheet" href="/cms-cps/tuithfo/css/ddB.css"/>
<fmt:formatNumber var="fullAmount"
    value="${bookingComponent.totalAmount.amount-bookingInfo.calculatedDiscount.amount}"
    type="number" maxFractionDigits="2" minFractionDigits="2"
    pattern="#####.##" />
<c:set var="full_pay_mode" value="true"/>
<h2 class="grey-text uppercase sub-heading pad-top-0"></h2>
<div class="payment-type standard-layout bg-light-blue marg-bottom-20 <c:if test="${full_pay_mode}">full_pay</c:if>">
	<c:if test="${!full_pay_mode}">
		<c:forEach var="depositComponent"
				items="${bookingComponent.depositComponents}" varStatus="depositSts">
		<c:set var="depositType" value="${depositComponent.depositType}"
			scope="page" />
		<c:set var="deposit" value="${depositComponent.depositAmount.amount}"
			scope="page" />
		<c:set var="zeroDepositDDExist" value="${depositComponent.depositAmount.amount gt 0 ? false : true}"
			scope="page" />
		<fmt:formatDate var="depositDueDate"
			value="${depositComponent.depositDueDate}" pattern="EEEE dd MMM yyyy" />
		<c:choose>
			<c:when test="${depositType == CONST_LOW_DEPOSIT}">
				<c:set var="termId" value="quarter-amt" />
				<c:set var="paymentName" value="lowDeposit" />
				<c:set var="depositClass" value="lowDepositbox" />
				<c:set var="title_payment" value="Manual card payments:"/>
				<c:set var="payment_id" value="initial"/>
			</c:when>
		<c:when test="${depositType == CONST_DEPOSIT}">
				<c:set var="termId" value="half-amt" />
				<c:set var="paymentName" value="deposit" />
				<c:set var="depositClass" value="depositbox" />
				<c:set var="title_payment" value="Manual card payments:"/>
				<c:set var="payment_id" value="half"/>
		</c:when>
		<c:otherwise>
			<c:if test="${depositType == CONST_LOW_DEPOSIT_PLUSDD}">
				<c:set var="termId" value="quarter-amt-dd" />
				<c:set var="paymentName" value="lowDepositPlusDD" />
				<c:set var="depositClass" value="lowDepositboxDD" />
				<c:set var="title_payment" value="Payment plan:" />
				<c:set var="payment_id" value="initial_dd"/>
				</c:if>
			</c:otherwise>
		</c:choose>
		<c:if test="${depositType == CONST_LOW_DEPOSIT}">
			<div class="deposite-section fl ${width_class} low un-select" data-payment-type="${depositType}" id="${termId}"  onclick="updatePaymentInfo('${paymentName}');selectedpaymentMode(this.id);displayDDcharges(this.id)">
				<div class="title-container">
					<div class="price-list">
						<div class="deposit-amount fl" style='padding-left: 6px;'>
							<span class="icon-v2 brand-blue icon-TUI_radio-on active radio-button"></span>
						 </div>
					 </div>
					 <h3 class="sub-heading blue-text payment-mode title">Low deposit</h3>

					 <div>
						 <span class="price price-class fl bold blue-text">&pound;<fmt:formatNumber value="${deposit}" type="number"
													maxFractionDigits="0" minFractionDigits="0" pattern="#####" /></span>
						 <div class='cb'></div>
						<c:if test="${applyCreditCardSurcharge eq 'true'}">
						 <p class="align-left-text grey-med">or &pound;<span id="creditCardChargeAmt_${paymentName}"></span> if paid by credit card.</p>
					</c:if>
					</div>
					<div>
						<p class="align-left-text  cl-b"><a class="info-link" href="http://www.thomson.co.uk/destinations/info/low-deposit" target="_blank">Important  low deposit information</a></p>
					</div>
				</div>
				<!--dd box new -->
				<div class="default-hide">
					<div class="b deposite-box align-bottom-low">
						<div class="box ${depositClass}">
							<input type="radio"  style="visibility:hidden;" hidden ="true" id="${payment_id}" name="depositType" class="radioBtn hide"
																					value="${paymentName}"/>
							<p class="title marg-bottom-10">${title_payment}</p>
							<ul>
								<li class="marg-bottom-10"><span class=" fr ">&pound;<fmt:formatNumber value="${deposit}" type="number"
																maxFractionDigits="2" minFractionDigits="2" pattern="#####.##" /></span>
									<span class=" fl ">Pay low deposit today </span>
									<div class='cb'></div>
								</li>
								<li class="marg-bottom-10">
									<span class=" fr ">&pound;<c:out value="${outstandingBalanceDeposit}"/></span>
									<span class=" fl ">Pay by <c:out value="${topUpDepositDueDate}" /></span>
									<div class='cb'></div>
								</li>
								<c:if test="${bookingComponent.ddVariant.code == 'V1' || bookingComponent.ddVariant.code == 'V2'}">
									<li class="marg-bottom-10">
										<span class=" fr ">&pound;<fmt:formatNumber
															value="${bookingInfo.ddOutstandingBalanceForHy.amount}"
																type="number" maxFractionDigits="2" minFractionDigits="2"
																pattern="#####" /></span>
										<span class=" fl ">Pay by <c:out value="${deposiDueDate}" /></span>
										<div class='cb'></div>
									</li>
								</c:if>
							</ul>
						</div>
					</div>
				</div>
				<div class="tui-grey-light-background total-cost-section pad-10"">
					<a class="show-text" href="javascript:void(0)" onclick="toggleContent(this);">See more<span class="icon-v2 icon-down align-icon"></span></a>
					<span class="total-cost fr">Total <span class="bold">&pound;<fmt:formatNumber value="${fullAmount}" type="number"
									maxFractionDigits="2" minFractionDigits="2" pattern="#####.##" /></span></span></p>
				</div>
			</div>
		</c:if>
		<c:if test="${depositType == CONST_LOW_DEPOSIT_PLUSDD}">
			<div class="deposite-section fl ${width_class} un-select" data-payment-type="${depositType}" id="${termId}" depositamount = "${deposit}" onclick="updatePaymentInfo('${paymentName}');selectedpaymentMode(this.id);displayDDcharges(this.id)">
				<c:if test="${zeroDepositDDExist eq true}">
					<div class="zeroDepositDD">PAY NOTHING TODAY</div>
				</c:if>
					<div class="title-container dd-title-container">
					<div class="price-list">
						<div class="deposit-amount fl" style='padding-left: 6px;'>
							<span class="icon-v2 brand-blue icon-TUI_radio-circle radio-button"></span>
						 </div>
					 </div>
					 <h3 class="sub-heading blue-text payment-mode title"><c:out value="${zeroDepositDDExist ? 'Direct Debit' : depositText }" /></h3>

					 <div>
					 	 <c:if test="${zeroDepositDDExist eq false}">
					 	 	<span class="price price-class fl bold blue-text">&pound;<fmt:formatNumber value="${deposit}" type="number"
													maxFractionDigits="0" minFractionDigits="0" pattern="#####" /> + </span>
						 </c:if>
						 <span class="price bold marg-left-5 blue-text dd-logo ${zeroDepositDDExist eq true ? 'dd-logo-zero' : ''}"></span>

						 <div class='cb'></div>
						 <c:if test="${applyCreditCardSurcharge eq 'true'}">
						 	<p class="align-left-text grey-med">or &pound;<span id="creditCardChargeAmt_${paymentName}"></span> if paid by credit card.</p>
						 </c:if>
					</div>
					<c:if test="${zeroDepositDDExist eq false}">
						<div>
							<p class="align-left last-ele"><span><i class="icon-v2 icon-TUI_Info icon-properties text-white fl"></i>Set up on next page, after you've paid your deposit</span></p>
						</div>
					</c:if>
				</div>
				<!--dd box new -->
				<div class="default-hide">
					<div class="b DD-box">
						<div class="tui-grey-background DD-info-box">
							<ul>
								<c:choose>
								  <c:when test="${zeroDepositDDExist eq true}">
									<li class="marg-bottom-10"><i class="caret tick blue"></i>No extra charge</li>
									<li class="marg-bottom-10"><i class="caret tick blue"></i>Select your withdrawal date</li>
									<li class="marg-bottom-10"><i class="caret tick blue"></i>Pay nothing today! - Start paying next month</li>
									<li class="marg-bottom-10"><i class="caret tick blue"></i>Deposit still payable if you cancel</li>
								  </c:when>
								   <c:otherwise>
								   	<li class="marg-bottom-10"><i class="caret tick blue"></i>No extra charge</li>
									<li class="marg-bottom-10"><i class="caret tick blue"></i>Set your withdrawal date</li>
									<li class="marg-bottom-10"><i class="caret tick blue"></i>Start paying next month</li>
								  </c:otherwise>
								</c:choose>
							</ul>
						</div>
					</div>

					<!--dd box new end-->
					<div class="b deposite-box">
						<div class="box ${depositClass}">
							<input type="radio"  style="visibility:hidden;" hidden ="true" id="${payment_id}" name="depositType" class="radioBtn hide"
																			value="${paymentName}"/>
							<p class="title marg-bottom-10">Payment plan:</p>
							<ul>
								<c:if test="${zeroDepositDDExist eq false}">
									<li class="marg-bottom-10"><span class=" fr ">&pound;<fmt:formatNumber value="${deposit}" type="number"
															maxFractionDigits="2" minFractionDigits="2" pattern="#####.##" /></span>
										<span class=" fl ">${depositTextPay} </span>
										<div class='cb'></div>
									</li>
								</c:if>
								<li class="marg-bottom-10">
								<c:choose>
											<c:when
												test="${depositComponent.ddPaymentComponents[0].defaultSchedule}">
												<span class=" fr "><span class="bold">${depositComponent.ddPaymentComponents[0].payCount}&nbsp;x
												</span>&pound;<c:out
														value="${depositComponent.ddPaymentComponents[0].amount.amount}" />

													<!-- following code added by sreenivasulu k -->
													</br> <c:if
														test="${depositComponent.ddPaymentComponents[0].lastAmount ne null}">
														<span class="bold">1 x </span>&pound;<c:out
															value="${depositComponent.ddPaymentComponents[0].lastAmount.amount}" />
													</c:if>
												</span>
											</c:when>
											<c:otherwise>
												<span class=" fr "><span class="bold">${depositComponent.ddPaymentComponents[1].payCount}&nbsp;x
												</span>&pound;<c:out
														value="${depositComponent.ddPaymentComponents[1].amount.amount}" />

													<!-- following code added by sreenivasulu k -->
													 </br> <c:if
														test="${depositComponent.ddPaymentComponents[1].lastAmount ne null}">
														<span class="bold">1 x </span>&pound;<c:out
															value="${depositComponent.ddPaymentComponents[1].lastAmount.amount}" />
													</c:if>
												</span>
											</c:otherwise>
										</c:choose>
									<span class=" fl ">Set up Direct Debit on the next page</span>
											<div class='cb'></div>
								</li>
							</ul>
						</div>
					</div>
				</div>
				<div class="tui-grey-light-background total-cost-section pad-10"">
					<a class="show-text" href="javascript:void(0)" onclick="toggleContent(this);">See more<span class="icon-v2 icon-down align-icon"></span></a>
					<span class="total-cost fr">Total <span class="bold">&pound;<fmt:formatNumber value="${fullAmount}" type="number"
									maxFractionDigits="2" minFractionDigits="2" pattern="#####.##" /></span></span></p>
				</div>
			</div>
		</c:if>
		<c:if test="${depositType == CONST_DEPOSIT}">
			<div class="deposite-section fl ${width_class} low un-select" data-payment-type="${depositType}" id="${termId}"  onclick="updatePaymentInfo('${paymentName}');selectedpaymentMode(this.id);displayDDcharges(this.id)">
				<div class="title-container">
					<div class="price-list">
							<div class="deposit-amount fl" style='padding-left: 6px;'>
								<span class="icon-v2 brand-blue icon-TUI_radio-on active radio-button"></span>
						 </div>
					 </div>
					 <h3 class="sub-heading blue-text payment-modetitle">Standard deposit</h3>

					 <div>
						 <span class="price price-class fl bold blue-text">&pound;<fmt:formatNumber value="${deposit}" type="number"
														maxFractionDigits="0" minFractionDigits="0" pattern="#####" /></span>
						 <div class='cb'></div>
						<c:if test="${applyCreditCardSurcharge eq 'true'}">
						<p class="align-left-text grey-med">or &pound;<span id="creditCardChargeAmt_${paymentName}"></span> if paid by credit card.</p>
					</c:if>
					</div>
				</div>
				<!--dd box new -->
				<div class="default-hide">
					<div class="b deposite-box align-bottom-low">
					<div class="box ${depositClass}">
								<input type="radio"  style="visibility:hidden;" hidden ="true" id="${payment_id}" name="depositType" class="radioBtn hide"
																				value="${paymentName}"/>
								<p class="title marg-bottom-10">${title_payment}</p>
								<ul>
									<li class="marg-bottom-10"><span class=" fr ">&pound;<fmt:formatNumber value="${deposit}" type="number"
															maxFractionDigits="2" minFractionDigits="2" pattern="#####.##" /></span>
										<span class=" fl ">Pay deposit today </span>
										<div class='cb'></div>
									</li>
									<li class="marg-bottom-10">
										<span class=" fr ">&pound;<c:out value="${outstandingBalanceDeposit}"/></span>
										<span class=" fl ">Pay by <c:out value="${topUpDepositDueDate}" /></span>
									<div class='cb'></div>
								</li>
							</ul>
						</div>
					</div>
				</div>
				<div class="tui-grey-light-background total-cost-section pad-10"">
					<a class="show-text" href="javascript:void(0)" onclick="toggleContent(this);">See more<span class="icon-v2 icon-down align-icon"></span></a>
					<span class="total-cost fr">Total <span class="bold">&pound;<fmt:formatNumber value="${fullAmount}" type="number"
									maxFractionDigits="2" minFractionDigits="2" pattern="#####.##" /></span></span></p>
				</div>
			</div>
		</c:if>
		</c:forEach>
	</c:if>
	<c:choose>
		<c:when test="${!full_pay_mode}">
			<div class="b full-cost-box ${width_class} ${float_class} un-select" data-payment-type="fullCost" id="full-amt" onclick="updatePaymentInfo('fullCost');selectedpaymentMode(this.id);displayDDcharges(this.id)">
				<div class="title-container">
					<div class="price-list">
						<div class="deposit-amount fl" style='padding-left: 6px;'>
							<span style = "float:left; color:#70cbf4;'" class="radio-button fl<c:choose> <c:when test="${DEPOSIT_EXIST == true}">icon-TUI_radio-circle</c:when><c:otherwise>icon-TUI_radio-on active</c:otherwise></c:choose>"></span>
						</div>
					</div>
					<h3 class="sub-heading blue-text payment-mode title full-cost-heading">Pay in Full</h3>
					<div>
						<p class="price price-class fl bold blue-text">&pound;<fmt:formatNumber value="${fullAmount}" type="number"
										maxFractionDigits="2" minFractionDigits="2" pattern="#####.##" /></p>
						<div class='cb'></div>
						<c:if test="${applyCreditCardSurcharge eq 'true'}">
						<p class="align-left-text grey-med">or &pound;<span id="creditCardChargeAmt_fullCost"></span> if paid by credit card.</p>
					</c:if>
					</div>
				</div>
				<div class="default-hide">
					<div class="b deposite-box align-bottom-full">
						<div class="box fullCostbox">
							<input type="radio"  style="visibility:hidden;" hidden="true" id="full" name="depositType" class="radioBtn hide" value="${CONST_FULL_COST}"/>
							<p class="title marg-bottom-10">No further payment required:</p>
					<p>Pay for your entire holiday now</p>
						</div>
					</div>
				</div>
				<div class="tui-grey-light-background total-cost-section pad-10" style="min-height:20px;">
					<a class="show-text" href="javascript:void(0)" onclick="toggleContent(this);">
					See more<span class="icon-v2 icon-down align-icon"></span></a>
					<span class="total-cost fr">Total <span class="bold">&pound;<fmt:formatNumber value="${fullAmount}" type="number"
									maxFractionDigits="2" minFractionDigits="2" pattern="#####.##" /></span></span></p>
				</div>
			</div>
		</c:when>
		<c:otherwise>
			<div class="full-payment">
				<div class="title-container">
					<div class="price-list hide">
						<div class="deposit-amount fl" style='padding-left: 6px;'>
							<span class="radio-button fl icon-TUI_radio-on active" data-payment-type="fullCost" id="full-amt" onclick="updatePaymentInfo('fullCost');selectedpaymentMode(this.id);displayDDcharges(this.id)"></span>
						</div>
					</div>
					<div class="fl ccdiv-price">
						<input type="radio"  style="visibility:hidden;" hidden="true" id="full" name="depositType" class="radioBtn hide" value="${CONST_FULL_COST}"/>
						<h3 class="sub-heading blue-text payment-modetitle full-cost-heading">
						<span class="pay-texts">Pay </span>
						<span class="price price-class bold blue-text"><span class="pound"> &pound;</span><fmt:formatNumber value="${fullAmount}" type="number"
										maxFractionDigits="2" minFractionDigits="2" pattern="#####.##" /></span>
					<span class="pay-texts"> TODAY</span></h3></div>
					<div class="fl ccdiv-text">
					<h3 class="sub-heading cctext">
					<c:if test="${applyCreditCardSurcharge eq 'true'}">
					<span class="align-left-text grey-med"> or &pound;<span id="creditCardChargeAmt_fullCost"></span>
					if paid by credit card.</span>
					</c:if>
					</h3></div>
				</div>
			</div>
		</c:otherwise>
	</c:choose>
</div>
						<!--For paypal variant-->
						<div class="new-card-details-section">
							<ul>
								<li class="b pay-box" id="cardpaymentType" onclick="displayCardChargesPaypal(this.id)">
									<!-- debit card-->
									<div class="cardpayment-details"  >
										<span class="icon-v2 brand-blue radio active" id="cardpayment"></span><span class="card-heading">Card Payment</span>
										<p><c:out value="${cardchargetext}" /></p>
										<img src="../cms-cps/tuithfo/images/CCLogos.svg" />
										</br>
										<h2 class="division"></h2>
									</div>
								</li>
								<li class="b pay-box <c:if test="${paypalActiveFlag eq 'false'}">pointer-none</c:if> " id="paypalType" onclick="displayCardChargesPaypal(this.id)">
								<!-- Gift card-->
									<div class="paypal-details" >
										<span class="icon-v2 brand-blue radio" id="paypal"></span>
										<span class="pp-logo"></span>
										<br/><br/>
										<c:if test="${paypalActiveFlag eq 'false'}"><p class="paypal-error">Sorry, your PayPal transaction wasn't successful.
										<br/>Please use another payment method.</p></c:if>
										<div class="paypal-selection">
																	<!-- Note for js: the whole container is clickable! -->
											<span class="hide" id="payPalChargeAmt_fullCost"><c:out value="${fullAmount}" /></span>
										</div>
									</div>
								</li>
							</ul>
							<a class="size-16 gift-card-accordion">Paying by gift card? <span class=" icon-v2 icon-down gift-collapse-expand"></span></a>
							<div class="gift-accordion-text">
								<p class="size-16"><c:out value="${giftCardText}" escapeXml="false"/>
								</p>
							</div>
						</div>
					</c:when>
					<c:otherwise>
						<div class="new-card-details-section">
							<div class="new-card-details">
								<h2 class="uppercase heading">
									<span class="tui-font">card details</span>
								</h2>
							</div>


							<p class="size-16 main-text"><c:out value="${cardchargetext}" /></p>
							<img src="../cms-cps/tuithfo/images/CCLogos.svg" />
							</br>
							<a class="size-16 gift-card-accordion">Paying by gift card? <span class=" icon-v2 icon-down gift-collapse-expand"></span></a>
							<div class="gift-accordion-text">
								<p class="size-16">
<c:out value="${giftCardText}" escapeXml="false"/>								</p>
							</div>
						</div>
					</c:otherwise>
				</c:choose>
			</c:if>
				<!--Below id ="payment_mode_title" used in function_depositSectionB.js" -->
				<c:choose>
					<c:when test="${applyCreditCardSurcharge eq 'true'}">
						<h2 id="payment_mode_title" class="grey-dark uppercase sub-heading underline">How would you like to pay?</h2>
					</c:when>
					<c:otherwise>
						
					</c:otherwise>
				</c:choose>

				<div class="card-details <c:if test="${applyCreditCardSurcharge eq 'false'}">hide</c:if>">
					<ul>
					<li class="b pay-box" id="debitcardType" onclick="displayCreditCharges(this.id)">
					<!-- debit card-->
					<div class="debitcard-details"  >
						<span class="card-heading">Debit Card</span>
						<span class="card-image"><img src="../cms-cps/tuithfo/images/card1.jpg" /></span>
						<p>There is no extra charge if paying by debit card. We accept all major debit cards.</p>
						<div class="debitcard-selection">
													<!-- Note for js: the whole container is clickable! -->
							<span class="rtext">SELECTED</span><span class="icon-v2 brand-blue radio active" id="debit"></span>
							<span class="hide" id="giftCardChargeAmt_fullCost"><c:out value="${fullAmount}" /></span>
												</div>
						<h2 class="division"></h2>
											</div>
					</li>
					<li class="b pay-box" id="creditcardType" onclick="displayCreditCharges(this.id)">
					<!-- Credit card-->
					<div class="debitcard-details"   >
						<span class="card-heading">Credit Card</span>
						<span class="card-image"><img src="../cms-cps/tuithfo/images/card3.jpg" /></span>
						<p  id="cardCharges" >
						<c:choose>
							<c:when test="${applyCreditCardSurcharge eq 'true'}">
								+<fmt:formatNumber value="${cardCharge}" type="number" maxFractionDigits="2" minFractionDigits="0" pattern="#####.##" />% credit card surcharge
						<c:if test="${parsemaxCap > 0}">
								(which is capped at &pound;<c:out value="${maxCardCharge}"/>)</c:if>. Using a <c:out value="${creditBrandText}"/> credit card will add no extra charge
						    </c:when>
						    <c:otherwise>
						    	There is no extra charge if paying by Credit Card or TUI Credit Card. We accept all major Credit Cards.

						    </c:otherwise>
						 </c:choose>
						</p>
						<p  class="disNone" id="credit-text">There is a <fmt:formatNumber value="${cardCharge}" type="number" maxFractionDigits="2" minFractionDigits="0" pattern="#####.##" />% surcharge </p>
						<p style="display: none;" id="thomsoncard" >+<fmt:formatNumber value="${cardCharge}" type="number" maxFractionDigits="2" minFractionDigits="0" pattern="#####.##" />% credit card surcharge.</p>
						<p style="display: none;" id="thomsoncredit-text" >There is a <fmt:formatNumber value="${cardCharge}" type="number" maxFractionDigits="2" minFractionDigits="0" pattern="#####.##" />% surcharge <c:if test="${parsemaxCap > 0}">
												(which is capped at &pound;<c:out value="${maxCardCharge}"/>)</c:if> if paying by credit card. We accept all major credit cards.</p>
						<div class="debitcard-selection">
													<!-- Note for js: the whole container is clickable! -->
							<span class="rtext">SELECT</span><span class="icon-v2 brand-blue radio" id="credit"></span>
							<span class="hide" id="creditCardChargeAmt_fullCost"><c:out value="${fullAmount}" /></span>
												</div>
						<h2 class="division"></h2>
											</div>
					</li>
					<li class="b pay-box" id="giftcardType" onclick="displayCreditCharges(this.id)">
					<!-- Gift card-->
					<div class="giftcard-details" >
						<span class="card-heading">Gift Card</span><span class="card-heading">*</span>
						<p >You can
						<a href="https://sites.prepaytec.com/chopinweb/balanceCheck.do?customerCode=202192018122&loc=en&showPin=0&brandingCode=bal_tui" target="_blank"> find out your current balance</a> online or by calling 0203 130 0133.</p>
						<div class="giftcard-selection">
													<!-- Note for js: the whole container is clickable! -->
							<span class="rtext">SELECT</span><span class="icon-v2 brand-blue radio" id="gift"></span>
							<span class="hide" id="debitCardChargeAmt_fullCost"><c:out value="${fullAmount}" /></span>
												</div>
											</div>
					</li>
					</ul>
										</div>
				<div class="giftcard-imp hide">*(Your <c:out value="${creditBrandText}"/> or First Choice gift card needs to have sufficient funds to cover full deposit amount.  Other cards can be used to pay off the remainder of the balance after booking.)</div>

									</div>


<input type="hidden" name="total_transamt"  id="total_transamt"  value="NA" />
<input type="hidden"  id="payment_0_totalTrans" value="1" name="payment_totalTrans"/>
<script type="text/javascript" src="/cms-cps/tuithfo/js/functions_depositSection.js"></script>

